﻿DECLARE
	@@SQL_TEXT VARCHAR(MAX),
	
	@@ORDER_NO VARCHAR (10) = @0,
	--@@PART_NO VARCHAR (16) = @1,
	@@ORDER_ITEM_NO VARCHAR (10) = @1
	


	SET @@SQL_TEXT =
		'SELECT A.POSS_DATE, 
				A.CUST_NO,
				A.ORDER_NO,
				A.ORDER_ITEM_NO,
				A.PROCESS_PART_NO,
				A.ORDER_PART_NO,
				A.INVOICE_NO,
				A.INVOICE_ITEM_NO,
				A.SEQUENCE,
				A.BO_RELEASE_FLAG,
				A.PORTION_CODE,
				A.RECORD_ID,
				A.DATA_ID,
				A.BO_CODE,
				A.RA_CODE,
				A.PROCESS_QTY, 
				A.ORDER_QTY,
				A.UNIT_FOB_PRICE,
				A.TARIF_CODE,
				A.HS_CODE, 
				A.DIST_COLUMN,
				A.ETD,
				A.TMC_PROCESS_DT,
				A.PRICE_CALC_DT,
				A.FILLER, 
				A.SEND_DT
				

				FROM [spex].[TB_R_POSS] A
				
				WHERE 1 = 1'

	IF (@@ORDER_NO <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND A.ORDER_NO = ''' + @@ORDER_NO + ''''
	END

	--IF (@@PART_NO <> '' )
	--BEGIN	
		
	--	SET @@SQL_TEXT = @@SQL_TEXT + ' AND (A.ORDER_PART_NO LIKE ''%' + @@PART_NO + '%''OR A.PROCESS_PART_NO LIKE ''%' + @@PART_NO + '%'')'
	--END
	
	IF (@@ORDER_ITEM_NO <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND A.ORDER_ITEM_NO LIKE ''%' + @@ORDER_ITEM_NO + '%'''
	END

	IF (1 < 2)
	BEGIN
		SET @@SQL_TEXT = @@SQL_TEXT +  ' ORDER BY A.ORDER_NO'
	END

	EXECUTE (@@SQL_TEXT)